Skip to main content
GET
/
v1
/
pulses
/
{id}
Retrieves a pulse
curl --request GET \
  --url https://api.rootly.com/v1/pulses/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "type": "pulses",
    "attributes": {
      "summary": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "source": "<string>",
      "services": [
        {
          "name": "<string>",
          "created_at": "<string>",
          "updated_at": "<string>",
          "slug": "<string>",
          "description": "<string>",
          "public_description": "<string>",
          "notify_emails": [
            "<string>"
          ],
          "color": "<string>",
          "position": 123,
          "backstage_id": "<string>",
          "external_id": "<string>",
          "pagerduty_id": "<string>",
          "opsgenie_id": "<string>",
          "cortex_id": "<string>",
          "service_now_ci_sys_id": "<string>",
          "github_repository_name": "<string>",
          "github_repository_branch": "<string>",
          "gitlab_repository_name": "<string>",
          "gitlab_repository_branch": "<string>",
          "kubernetes_deployment_name": "<string>",
          "environment_ids": [
            "<string>"
          ],
          "service_ids": [
            "<string>"
          ],
          "owner_group_ids": [
            "<string>"
          ],
          "owner_user_ids": [
            123
          ],
          "alert_urgency_id": "<string>",
          "escalation_policy_id": "<string>",
          "alerts_email_enabled": true,
          "alerts_email_address": "<string>",
          "slack_channels": [
            {
              "id": "<string>",
              "name": "<string>"
            }
          ],
          "slack_aliases": [
            {
              "id": "<string>",
              "name": "<string>"
            }
          ],
          "alert_broadcast_enabled": true,
          "alert_broadcast_channel": {
            "id": "<string>",
            "name": "<string>"
          },
          "incident_broadcast_enabled": true,
          "incident_broadcast_channel": {
            "id": "<string>",
            "name": "<string>"
          },
          "fields": [
            {
              "catalog_field_id": "<string>",
              "value": "<string>"
            }
          ]
        }
      ],
      "environments": [
        {
          "name": "<string>",
          "created_at": "<string>",
          "updated_at": "<string>",
          "slug": "<string>",
          "description": "<string>",
          "notify_emails": [
            "<string>"
          ],
          "color": "<string>",
          "position": 123,
          "slack_channels": [
            {
              "id": "<string>",
              "name": "<string>"
            }
          ],
          "slack_aliases": [
            {
              "id": "<string>",
              "name": "<string>"
            }
          ],
          "fields": [
            {
              "catalog_field_id": "<string>",
              "value": "<string>"
            }
          ]
        }
      ],
      "external_url": "<string>",
      "labels": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "refs": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "data": {}
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

pulse found

data
object
required